// Code generated by mockery v2.9.4. DO NOT EDIT.

package apimock

import (
	context "context"

	requests2 "gitlab.com/my-group322/pictures/auth-svc/internal/service/http/requests"

	mock "github.com/stretchr/testify/mock"

	resources "gitlab.com/my-group322/pictures/auth-svc/resources"
)

// API is an autogenerated mock type for the API type
type API struct {
	mock.Mock
}

// CreateUser provides a mock function with given fields: ctx, request
func (_m *API) CreateUser(ctx context.Context, request requests2.CreateUser) (string, string, error) {
	ret := _m.Called(ctx, request)

	var r0 string
	if rf, ok := ret.Get(0).(func(context.Context, requests2.CreateUser) string); ok {
		r0 = rf(ctx, request)
	} else {
		r0 = ret.Get(0).(string)
	}

	var r1 string
	if rf, ok := ret.Get(1).(func(context.Context, requests2.CreateUser) string); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Get(1).(string)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(context.Context, requests2.CreateUser) error); ok {
		r2 = rf(ctx, request)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// Login provides a mock function with given fields: ctx, request
func (_m *API) Login(ctx context.Context, request requests2.Login) (*resources.AccountResponse, string, error) {
	ret := _m.Called(ctx, request)

	var r0 *resources.AccountResponse
	if rf, ok := ret.Get(0).(func(context.Context, requests2.Login) *resources.AccountResponse); ok {
		r0 = rf(ctx, request)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.AccountResponse)
		}
	}

	var r1 string
	if rf, ok := ret.Get(1).(func(context.Context, requests2.Login) string); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Get(1).(string)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(context.Context, requests2.Login) error); ok {
		r2 = rf(ctx, request)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// Logout provides a mock function with given fields: ctx, sessionID
func (_m *API) Logout(ctx context.Context, sessionID int64) error {
	ret := _m.Called(ctx, sessionID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64) error); ok {
		r0 = rf(ctx, sessionID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// RecoverPassword provides a mock function with given fields: ctx, request, providedToken
func (_m *API) RecoverPassword(ctx context.Context, request requests2.RecoverPassword, providedToken string) error {
	ret := _m.Called(ctx, request, providedToken)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, requests2.RecoverPassword, string) error); ok {
		r0 = rf(ctx, request, providedToken)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// RequestRecovery provides a mock function with given fields: ctx, accountID
func (_m *API) RequestRecovery(ctx context.Context, accountID string) error {
	ret := _m.Called(ctx, accountID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, accountID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// RequestVerification provides a mock function with given fields: ctx, accountID
func (_m *API) RequestVerification(ctx context.Context, accountID string) error {
	ret := _m.Called(ctx, accountID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, accountID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// VerifyAccount provides a mock function with given fields: ctx, providedToken
func (_m *API) VerifyAccount(ctx context.Context, providedToken string) error {
	ret := _m.Called(ctx, providedToken)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, providedToken)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
